The new iOS Version 13.4 includes changes to the Bluetooth functionality, which render the NT1 App before version 1.10.9 unable to communicate with the Cores. Therefore, all older app versions are incompatible with this iOS version. Pleaseupdate to our new app version.